curl --request PUT \
--url https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file' \
--form 'request=<string>'import requests
url = "https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId}"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "request": "<string>" }
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, data=payload, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
form.append('request', '<string>');
const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.hubapi.com/data-studio/data-source/2026-09-beta/{datasourceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"datasourceId": "<string>",
"datasourceName": "<string>",
"previewLink": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update data source
Actualiza una fuente de datos existente en Data Studio de HubSpot. Este punto de datos te permite modificar los detalles de una fuente de datos específica identificada por su datasourceId. La solicitud debe incluir un cuerpo de datos del formulario multiparte con los campos necesarios para actualizar la fuente de datos.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de ruta
El ID de la fuente de datos.
Respuesta
successful operation
El identificador único de la fuente de datos, que es un número entero con formato int64.
El nombre de la fuente de datos. Es una cadena.
Una cadena de URL que proporciona un enlace de vista previa para la fuente de datos.
Marca de tiempo de creación de la fuente de datos.
Marca de tiempo de la última actualización de la fuente de datos.